Vagrant.configure("2") do |config|

    os = "centos/7"
    net = "192.168.111"
    config.vm.define :management do |management_config|
        management_config.vm.provider "virtualbox" do |vb|
            vb.memory = "1024"
            vb.cpus = 2
            vb.name = "FiiP-management-vm"
        end
        management_config.vm.host_name = 'management'
        management_config.vm.box = "#{os}"
        management_config.vm.network "private_network", ip: "#{net}.11"
        management_config.vm.provision "shell", inline: <<-SHELL
	echo "root:fiipractic" | chpasswd
	sed -i 's/PasswordAuthentication no/PasswordAuthentication yes/g' /etc/ssh/sshd_config
	systemctl restart sshd
        yum install -y git
        yum install -y telnet
        yum install -y wget
	yum install -y vim
        yum install -y net-tools
        yum install -y rng-tools
	yum install -y unzip
	mkdir /root/learn
	wget https://gitlab.com/slackermedia/bashcrawl/-/archive/master/bashcrawl-master.zip -O /root/learn/bashcrawl.zip
	unzip -d /root/learn /root/learn/bashcrawl.zip
	rm /root/learn/bashcrawl.zip
        SHELL
    end
    config.vm.define :app do |app_config|
        app_config.vm.provider "virtualbox" do |vb|
            vb.memory = "1024"
            vb.cpus = 2
            vb.name = "FiiP-app-server-vm"
        end
        app_config.vm.host_name = 'app-server'
        app_config.vm.box = "#{os}"
        app_config.vm.network "private_network", ip: "#{net}.12"
        app_config.vm.provision "shell", inline: <<-SHELL
	echo "root:fiipractic" | chpasswd
	sed -i 's/PasswordAuthentication no/PasswordAuthentication yes/g' /etc/ssh/sshd_config
	systemctl restart sshd
        yum install -y git
        yum install -y telnet
        yum install -y wget
	yum install -y vim
        yum install -y net-tools
        yum install -y rng-tools
	yum install -y unzip
        SHELL
    end
end
